Get
curl --request GET \
--url https://api.nebius.cloud/maintenance/v1alpha1/maintenances/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/maintenance/v1alpha1/maintenances/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/maintenance/v1alpha1/maintenances/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"scheduledAt": "2023-11-07T05:31:56Z"
},
"status": {
"affectedResources": [
{
"id": "<string>",
"parentId": "<string>"
}
],
"finishedAt": "2023-11-07T05:31:56Z",
"reschedulable": true,
"startedAt": "2023-11-07T05:31:56Z",
"state": "STATE_UNSPECIFIED"
}
}maintenances
Get
Returns the specified maintenance operation. To get the list of upcoming and past maintenance operations, make a [List] request.
GET
/
maintenance
/
v1alpha1
/
maintenances
/
{id}
Get
Authorizations
The Authorization header expects a Bearer token.
Path Parameters
ID of the maintenance operation to return. To get the maintenance ID use a [MaintenanceService.List] request.
Response
200 - application/json
A successful response.
Maintenance operations are initiated by Nebius Cloud infrastructure. They are used to perform scheduled or urgent operations on Nebius Cloud resources, such as Managed Services or Standalone Applications, that are necessary for maintaining the service in an operable state. These operations run automatically, without user intervention.
Was this page helpful?
⌘I